Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.eval
Class TwoOperandNumericOperation

    java.lang.Object
      org.apache.poi.hssf.record.formula.functions.Fixed2ArgFunction
          org.apache.poi.hssf.record.formula.eval.TwoOperandNumericOperation

All Implemented Interfaces:
  Function, Function2Arg

    public abstract class TwoOperandNumericOperation

extends Fixed2ArgFunction

Author:
  Josh Micich

Field Summary
`static Function` | `AddEval`
`static Function` | `DivideEval`
`static Function` | `MultiplyEval`
`static Function` | `PowerEval`
`static Function` | `SubtractEval`

Constructor Summary
`TwoOperandNumericOperation()`

Method Summary
`protected abstract double` | `evaluate(double d0, double d1)`
`ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1)` see `Function.evaluate(ValueEval[], int, int)`
`protected double` | `singleOperandEvaluate(ValueEval arg, int srcCellRow, int srcCellCol)`

Methods inherited from class org.apache.poi.hssf.record.formula.functions.Fixed2ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AddEval

    public static final Function AddEval

### DivideEval

    public static final Function DivideEval

### MultiplyEval

    public static final Function MultiplyEval

### PowerEval

    public static final Function PowerEval

### SubtractEval

    public static final Function SubtractEval

Constructor Detail

### TwoOperandNumericOperation

    public TwoOperandNumericOperation()

Method Detail

### singleOperandEvaluate

    protected final double singleOperandEvaluate(ValueEval arg,
                                                 int srcCellRow,
                                                 int srcCellCol)
                                          throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1)

  Description copied from interface: `Function2Arg`
  see `Function.evaluate(ValueEval[], int, int)`

### evaluate

    protected abstract double evaluate(double d0,
                                       double d1)
                                throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.